com.intellectualcrafters.plot.util

## Class SchematicHandler.Schematic

- java.lang.Object
- - com.intellectualcrafters.plot.util.SchematicHandler.Schematic

- Enclosing class:
    SchematicHandler

      public static class SchematicHandler.Schematic
      extends java.lang.Object

  Schematic Class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchematicHandler.Schematic(SchematicHandler.DataCollection[] blockCollection, SchematicHandler.Dimension schematicDimension, java.io.File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchematicHandler.DataCollection[]` | `getBlockCollection()`
    `java.io.File` | `getFile()`
    `SchematicHandler.Dimension` | `getSchematicDimension()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchematicHandler.Schematic

          public SchematicHandler.Schematic(SchematicHandler.DataCollection[] blockCollection,
                                    SchematicHandler.Dimension schematicDimension,
                                    java.io.File file)

  - ### Method Detail

    - #### getFile

          public java.io.File getFile()

    - #### getSchematicDimension

          public SchematicHandler.Dimension getSchematicDimension()

    - #### getBlockCollection

          public SchematicHandler.DataCollection[] getBlockCollection()